uk.gov.hmrc.ct.ct600.v3.calculations

# LoansToParticipatorsCalculator

###
Related Doc: package calculations

#### trait LoansToParticipatorsCalculator extends CtTypeConverters

Linear Supertypes
CtTypeConverters, AnyRef, Any
Known Subclasses
A15, A20, A30, A35, A40, A45, A55, A55Inverse, A60, A60Inverse, A65, A65Inverse, A70, A70Inverse, A75, A80, B485, LPQ01
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LoansToParticipatorsCalculator
2. CtTypeConverters
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val DateOFNewTaxRateForLoans: LocalDate

5. #### val LoansRateAfterApril2016: Double

6. #### val LoansRateBeforeApril2016: Double

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def calculateA15(loans2p: LoansToParticipators): A15

9. #### def calculateA20(a15: A15, loans2p: LoansToParticipators, cp2: CP2): A20

10. #### def calculateA30(cp2: CP2, loans2p: LoansToParticipators): A30

11. #### def calculateA35(cp2: CP2, loans2p: LoansToParticipators): A35

12. #### def calculateA40(a30: A30, a35: A35): A40

13. #### def calculateA45(a40: A40, loans2p: LoansToParticipators, cp2: CP2): A45

14. #### def calculateA55(cp2: CP2, loans2p: LoansToParticipators, filingDate: LPQ07): A55

15. #### def calculateA55Inverse(apEndDate: CP2, loans2p: LoansToParticipators, filingDate: LPQ07): A55Inverse

16. #### def calculateA60(cp2: CP2, loans2p: LoansToParticipators, filingDate: LPQ07): A60

17. #### def calculateA60Inverse(cp2: CP2, loans2p: LoansToParticipators, filingDate: LPQ07): A60Inverse

18. #### def calculateA65(a55: A55, a60: A60): A65

19. #### def calculateA65Inverse(a55Inverse: A55Inverse, a60Inverse: A60Inverse): A65Inverse

20. #### def calculateA70(a65: A65, loans2p: LoansToParticipators, cp2: CP2, filingDate: LPQ07): A70

21. #### def calculateA70Inverse(a65Inverse: A65Inverse, loans2p: LoansToParticipators, cp2: CP2, filingDate: LPQ07): A70Inverse

22. #### def calculateA75(a15: A15, lp04: LP04): A75

23. #### def calculateA80(a20: A20, a45: A45, a70: A70): A80

24. #### def calculateB485(a70: A70): B485

25. #### def calculateLPQ01(lpq04: LPQ04, lpq10: LPQ10, a5: A5, lpq03: LPQ03): LPQ01

26. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]

    Definition Classes
      CtTypeConverters

28. #### implicit def convert(catoInt: CtOptionalInteger): Int

    Definition Classes
      CtTypeConverters

29. #### implicit def convert(catoInt: CtInteger): Int

    Definition Classes
      CtTypeConverters

30. #### implicit def convert(catoBoolean: CtOptionalBoolean): Boolean

    Definition Classes
      CtTypeConverters

31. #### implicit def convert(catoBoolean: CtBoolean): Boolean

    Definition Classes
      CtTypeConverters

32. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

33. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

34. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

35. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

36. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

37. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

38. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

39. #### final def notify(): Unit

    Definition Classes
      AnyRef

40. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

41. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

42. #### def toString(): String

    Definition Classes
      AnyRef → Any

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from CtTypeConverters

### Inherited from AnyRef

### Inherited from Any

### Ungrouped